com.tibbo.aggregate.common.datatable.converter.editor

## Enum AggregateConstraintType

- java.lang.Object
- - java.lang.Enum<AggregateConstraintType>
  - - com.tibbo.aggregate.common.datatable.converter.editor.AggregateConstraintType

- All Implemented Interfaces:
    SelectionValue, java.io.Serializable, java.lang.Comparable<AggregateConstraintType>

      public enum AggregateConstraintType
      extends java.lang.Enum<AggregateConstraintType>
      implements SelectionValue

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CASCADE`
    `DEFAULT`
    `NO_ACTION`
    `NULL`
    `RESTRICT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getValue()`
    `static AggregateConstraintType` | `ofSqlRule(java.lang.Integer rule)`
    `static AggregateConstraintType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AggregateConstraintType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_ACTION

          public static final AggregateConstraintType NO_ACTION

    - #### CASCADE

          public static final AggregateConstraintType CASCADE

    - #### NULL

          public static final AggregateConstraintType NULL

    - #### DEFAULT

          public static final AggregateConstraintType DEFAULT

    - #### RESTRICT

          public static final AggregateConstraintType RESTRICT

  - ### Method Detail

    - #### values

          public static AggregateConstraintType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AggregateConstraintType c : AggregateConstraintType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AggregateConstraintType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### ofSqlRule

          public static AggregateConstraintType ofSqlRule(java.lang.Integer rule)
                                                   throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `SelectionValue`

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in interface `SelectionValue`